Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve.utilities.gamecompiler
Class GameWriter

    java.lang.Object
      edu.princeton.repeatedgames.rgsolve.utilities.gamecompiler.GameWriter

    public class GameWriter

extends java.lang.Object

GUI component for constructing `GameCodeData` objects

Nested Class Summary
`static class` | `GameWriter.TextArea`

Field Summary
`(package private) static GameWriter.TextArea` | `constructor`
`(package private) static GameCodeData` | `DEFAULT_DATA`
`(package private) static GameWriter.TextArea` | `discount`
`(package private) static GameWriter.TextArea` | `fields`
`(package private) static GameWriter.TextArea` | `gameNotes`
`(package private) static int` | `height`
`(package private) static GameWriter.TextArea` | `name`
`(package private) static GameWriter.TextArea` | `numAct1`
`(package private) static GameWriter.TextArea` | `numAct2`
`(package private) static GameWriter.TextArea` | `payoff1`
`(package private) static GameWriter.TextArea` | `payoff2`
`(package private) static boolean` | `unInitialized`
`(package private) static int` | `width`

Constructor Summary
`private` | `GameWriter()`

Method Summary
`static java.lang.Class` | `compileGame(GameCodeData gmcode)`
`static java.lang.Class` | `compileGame(java.lang.String src)`
`static RGSolveIO.OpenGameReturnObject` | `getGame()`
`static TempGameHolder` | `loadGame(GameCodeData gmcode)`
`static void` | `setState(GameCodeData gmcode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fields

    static GameWriter.TextArea fields

### constructor

    static GameWriter.TextArea constructor

### payoff1

    static GameWriter.TextArea payoff1

### payoff2

    static GameWriter.TextArea payoff2

### gameNotes

    static GameWriter.TextArea gameNotes

### numAct1

    static GameWriter.TextArea numAct1

### numAct2

    static GameWriter.TextArea numAct2

### discount

    static GameWriter.TextArea discount

### name

    static GameWriter.TextArea name

### unInitialized

    static boolean unInitialized

### width

    static final int width

See Also:
  Constant Field Values

### height

    static final int height

See Also:
  Constant Field Values

### DEFAULT_DATA

    static GameCodeData DEFAULT_DATA

Constructor Detail

### GameWriter

    private GameWriter()

Method Detail

### getGame

    public static RGSolveIO.OpenGameReturnObject getGame()

### compileGame

    public static java.lang.Class compileGame(java.lang.String src)

### compileGame

    public static java.lang.Class compileGame(GameCodeData gmcode)

### loadGame

    public static TempGameHolder loadGame(GameCodeData gmcode)

### setState

    public static void setState(GameCodeData gmcode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD